#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
name=uAssets
commit=5ce4e0d2f57bc3f15bb6e69528e69cfc0a95f03e
url=https://github.com/uBlockOrigin/uAssets/archive/${commit}/${name}-${commit}.tar.gz
pushd "$tmp"
curl -L ${url} | tar xzf -
pushd ${name}-${commit}
# Peter Lowe's adservers list is non-commercial-only
# https://github.com/uBlockOrigin/uAssets/issues/7657
rm -r thirdparties/pgl.yoyo.org
popd
tar czf "$pwd"/${name}-${commit}.tar.gz ${name}-${commit}
popd
